angular.module('focaCrearCobranza')
    .service('focaCrearCobranzaService', ['$http', 'API_ENDPOINT',
    function($http, API_ENDPOINT) {
        return {
            getNumeroRecibo: function() {
                return $http.get(API_ENDPOINT.URL + '/recibo/numero-siguiente');
            },
            getCotizacionByIdMoneda: function(id) {
                return $http.get(API_ENDPOINT.URL + '/moneda/' + id);
            },
            guardarCobranza: function(cobranza) {
                return $http.post(API_ENDPOINT.URL + '/recibo/guardar', cobranza);
            },
            getCobradorById: function(id) {
                return $http.get(API_ENDPOINT.URL + '/vendedor-cobrador/' + id);
            },
            actualizarEmail: function(mail, idCliente) {
                return $http.post(API_ENDPOINT.URL + '/cliente/update/email',
                    {mail: mail, id: idCliente});
            },
            getBotonera: function() {
                var result = [
                    {
                        label: 'Cliente',
                        image: 'cliente.png'
                    },
                    {
                        label: 'Comprobantes',
                        image: 'comprobante.png'
                    },
                    {
                        label: 'Cobros',
                        image: 'cobros.png'
                    },
                    {
                        label: 'Moneda',
                        image: 'moneda.png'
                    },
                    {
                        label: 'Resumen de cuenta',
                        image: 'moneda.png'
                    }
                ];
                return result;
            }
        };
    }]);
